defmodule Archeometer.Reports.Render.Html do
  @moduledoc """
  Renders a page into HTML.
  """
  require Slime

  Slime.function_from_file(
    :def,
    :render,
    "lib/templates/report/base_report.slime",
    [
      :app_data,
      :page_names
    ]
  )

  Slime.function_from_file(:def, :main_report, "lib/templates/report/main_report.slime", [
    :app_data
  ])

  Slime.function_from_file(:def, :nav_side_menu, "lib/templates/report/nav_side_menu.slime", [
    :page_names
  ])

  Slime.function_from_file(:def, :fragment, "lib/templates/report/fragment.slime", [
    :fragment
  ])

  Slime.function_from_file(:def, :code_fragment, "lib/templates/report/code_fragment.slime", [
    :fragment
  ])

  Slime.function_from_file(:def, :button_tab, "lib/templates/report/button_tab.slime", [
    :fragment,
    :type
  ])

  Slime.function_from_file(:def, :tab_content, "lib/templates/report/tab_content.slime", [
    :code_lang,
    :uuid,
    :code_fragment
  ])

  Slime.function_from_file(:def, :button_copy, "lib/templates/report/button_copy.slime", [
    :uuid,
    :code_lang
  ])

  Slime.function_from_file(:def, :result_table, "lib/templates/report/result_table.slime", [
    :fragment
  ])

  Slime.function_from_file(:def, :fragment_result, "lib/templates/report/fragment_result.slime", [
    :fragment
  ])
end
